Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class XMLObjectStreamUnit

    java.lang.Object
      rice.p2p.util.testing.XMLObjectStreamUnit

public class XMLObjectStreamUnit
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Nested Class Summary
`static class` | `XMLObjectStreamUnit.TestByteSerialization` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestExternalizable` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestPutFields` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestReplace` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestReplace2` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestReplace3` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestResolve` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestResolve2` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestResolve3` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestSerialPersistentFields` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestSubExternalizable` DESCRIBE THE CLASS
`static class` | `XMLObjectStreamUnit.TestUnreadData` DESCRIBE THE CLASS

Field Summary
`protected java.io.ByteArrayInputStream` | `bais` DESCRIBE THE FIELD
`protected java.io.ByteArrayOutputStream` | `baos` DESCRIBE THE FIELD
`protected XMLObjectInputStream` | `xois` DESCRIBE THE FIELD
`protected XMLObjectOutputStream` | `xoos` DESCRIBE THE FIELD

Constructor Summary
`XMLObjectStreamUnit()` Constructor for XMLObjectStreamUnit.

Method Summary
`protected void` | `flip()` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` The main program for the XMLObjectStreamUnit class
`protected void` | `reset()` DESCRIBE THE METHOD
`void` | `start()` DESCRIBE THE METHOD
`protected void` | `test(java.lang.Object o)` A unit test for JUnit
`protected void` | `testBoolean(boolean b)` A unit test for JUnit
`protected void` | `testBrokenCustomSerializer()` A unit test for JUnit
`protected void` | `testByte(byte i)` A unit test for JUnit
`protected void` | `testByteCustomSerializer()` A unit test for JUnit
`protected void` | `testChar(char i)` A unit test for JUnit
`protected void` | `testCustomSerializer()` A unit test for JUnit
`protected void` | `testDouble(double i)` A unit test for JUnit
`protected void` | `testExternal()` A unit test for JUnit
`protected void` | `testFloat(float i)` A unit test for JUnit
`protected void` | `testHashtable()` A unit test for JUnit
`protected void` | `testInheritedReadResolve()` A unit test for JUnit
`protected void` | `testInheritedWriteReplace()` A unit test for JUnit
`protected void` | `testInt(int i)` A unit test for JUnit
`protected void` | `testLong(long i)` A unit test for JUnit
`protected void` | `testMultipleObjects()` A unit test for JUnit
`protected void` | `testMultiplePrimitives()` A unit test for JUnit
`protected void` | `testPutFields()` A unit test for JUnit
`protected void` | `testReadResolve()` A unit test for JUnit
`protected void` | `testSerialPersistentFields()` A unit test for JUnit
`protected void` | `testShort(short i)` A unit test for JUnit
`protected void` | `testSubExternal()` A unit test for JUnit
`protected void` | `testUnreadData()` A unit test for JUnit
`protected void` | `testUnserializableObject()` A unit test for JUnit
`protected void` | `testUnshared()` A unit test for JUnit
`protected void` | `testWriteReplace()` A unit test for JUnit

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xoos

    protected XMLObjectOutputStream xoos

  DESCRIBE THE FIELD

### xois

    protected XMLObjectInputStream xois

  DESCRIBE THE FIELD

### baos

    protected java.io.ByteArrayOutputStream baos

  DESCRIBE THE FIELD

### bais

    protected java.io.ByteArrayInputStream bais

  DESCRIBE THE FIELD

Constructor Detail

### XMLObjectStreamUnit

    public XMLObjectStreamUnit()
                        throws java.io.IOException

  Constructor for XMLObjectStreamUnit.

Throws:
  `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### reset

    protected void reset()
                  throws java.io.IOException

  DESCRIBE THE METHOD

  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### flip

    protected void flip()
                 throws java.io.IOException

  DESCRIBE THE METHOD

  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### testInt

    protected void testInt(int i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testBoolean

    protected void testBoolean(boolean b)

  A unit test for JUnit

  Parameters:
    `b` - DESCRIBE THE PARAMETER

### testByte

    protected void testByte(byte i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testChar

    protected void testChar(char i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testDouble

    protected void testDouble(double i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testFloat

    protected void testFloat(float i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testLong

    protected void testLong(long i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testShort

    protected void testShort(short i)

  A unit test for JUnit

  Parameters:
    `i` - DESCRIBE THE PARAMETER

### testMultiplePrimitives

    protected void testMultiplePrimitives()

  A unit test for JUnit

### test

    protected void test(java.lang.Object o)

  A unit test for JUnit

  Parameters:
    `o` - DESCRIBE THE PARAMETER

### testHashtable

    protected void testHashtable()

  A unit test for JUnit

### testMultipleObjects

    protected void testMultipleObjects()

  A unit test for JUnit

### testUnserializableObject

    protected void testUnserializableObject()

  A unit test for JUnit

### testByteCustomSerializer

    protected void testByteCustomSerializer()

  A unit test for JUnit

### testCustomSerializer

    protected void testCustomSerializer()

  A unit test for JUnit

### testBrokenCustomSerializer

    protected void testBrokenCustomSerializer()

  A unit test for JUnit

### testUnshared

    protected void testUnshared()

  A unit test for JUnit

### testExternal

    protected void testExternal()

  A unit test for JUnit

### testSubExternal

    protected void testSubExternal()

  A unit test for JUnit

### testPutFields

    protected void testPutFields()

  A unit test for JUnit

### testUnreadData

    protected void testUnreadData()

  A unit test for JUnit

### testWriteReplace

    protected void testWriteReplace()

  A unit test for JUnit

### testReadResolve

    protected void testReadResolve()

  A unit test for JUnit

### testInheritedWriteReplace

    protected void testInheritedWriteReplace()

  A unit test for JUnit

### testInheritedReadResolve

    protected void testInheritedReadResolve()

  A unit test for JUnit

### testSerialPersistentFields

    protected void testSerialPersistentFields()

  A unit test for JUnit

### start

    public void start()

  DESCRIBE THE METHOD

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  The main program for the XMLObjectStreamUnit class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.